<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android">

    <data>

        <variable
            name="bean"
            type="com.lukouguoji.module_base.bean.ULDBean" />
    </data>

    <androidx.appcompat.widget.LinearLayoutCompat
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginHorizontal="15dp"
        android:layout_marginVertical="6dp"
        android:background="@drawable/bg_item"
        android:gravity="center_vertical"
        android:padding="10dp">

        <ImageView
            android:id="@+id/iv_icon"
            loadImage="@{bean.checked ? @drawable/img_plane_s : @drawable/img_plane}"
            android:layout_width="40dp"
            android:layout_height="40dp"
            android:layout_gravity="center"
            android:src="@drawable/img_plane" />

        <androidx.appcompat.widget.LinearLayoutCompat
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginLeft="15dp"
            android:layout_weight="1"
            android:gravity="center_vertical">

            <TextView
                style="@style/tv_item_label"
                android:text="ULD：" />

            <TextView
                style="@style/tv_item_value"
                android:text="@{bean.uld}" />

        </androidx.appcompat.widget.LinearLayoutCompat>

        <androidx.appcompat.widget.LinearLayoutCompat
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginLeft="15dp"
            android:layout_weight="1.3"
            android:gravity="center_vertical">

            <TextView
                style="@style/tv_item_label"
                android:text="自重：" />

            <TextView
                style="@style/tv_item_value"
                android:text="@{bean.uldWeight}" />

        </androidx.appcompat.widget.LinearLayoutCompat>

        <androidx.appcompat.widget.LinearLayoutCompat
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginLeft="15dp"
            android:layout_weight="1"
            android:gravity="center_vertical">

            <TextView
                style="@style/tv_item_label"
                android:text="最大载重：" />

            <TextView
                style="@style/tv_item_value"
                android:text="@{bean.maxWeight}" />

        </androidx.appcompat.widget.LinearLayoutCompat>

        <androidx.appcompat.widget.LinearLayoutCompat
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginLeft="15dp"
            android:layout_weight="1"
            android:gravity="center_vertical">

            <TextView
                style="@style/tv_item_label"
                android:text="最大体积：" />

            <TextView
                style="@style/tv_item_value"
                android:text="@{bean.maxVolume}" />

        </androidx.appcompat.widget.LinearLayoutCompat>

    </androidx.appcompat.widget.LinearLayoutCompat>
</layout>